Subject: [ippm] I-D Action: draft-ietf-ippm-active-passive-01.txt

From: [email-masked]
Date: Sun, 06 Sep 2015 08:46:33 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IP Performance Metrics Working Group of the IETF.

        Title           : Active and Passive Metrics and Methods (and everything in-between, or Hybrid)
        Author          : Al Morton
	Filename        : draft-ietf-ippm-active-passive-01.txt
	Pages           : 12
	Date            : 2015-09-06

Abstract:
   This memo provides clear definitions for Active and Passive
   performance assessment.  The construction of Metrics and Methods can
   be described as Active or Passive.  Some methods may use a subset of
   both active and passive attributes, and we refer to these as Hybrid
   Methods.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ippm-active-passive/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-ippm-active-passive-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ippm-active-passive-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Sun, 6 Sep 2015 12:28:32 -0400

In Prague IETF, I felt the active-passive draft was nearly done,
but by addressing Tiziano's comment to add "Hybrid" to the title,
it prompted Brian Trammell to ask for more detail and
traceability to the Hybrid definitions we have discussed
in the past. This was a discussion we had in 2012.

The relevant links to archive are:
https://www.ietf.org/mail-archive/web/ippm/current/msg02953.html
and
https://www.ietf.org/mail-archive/web/ippm/current/msg02952.html
(with a link to Brian's draft at the time).

I have included all the possibilities we have discussed in the 
draft now, including Spatial Metrics RFC 5644 that I mentioned
at the session.

regards,
Al

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Sunday, September 06, 2015 11:47 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-ippm-active-passive-01.txt
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html or
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Tal Mizrahi <[email-masked]>
Date: Mon, 7 Sep 2015 11:46:54 +0000

Hi Al,

I believe the draft is both useful and well written.

A few comments / questions:

1. I was wondering how to classify Y.1731 loss measurement (LM). It appears to fit into Hybrid Type I, since you could say that Y.1731 augments or modifies the stream of interest, by occasionally injecting an LM message.
    It looks like Y.1731 delay measurement (DM) and synthetic loss measurement (SLM) fall under active measurement.

2. In general, it may be nice to add some discussion about protocols that use OAM messages for Hybrid Type I measurement. Y.1731 is just an example, but there are others (e.g., RFC 6374, RFC 7456).

3. It is probably a good idea to mention the term "synthetic" (==active), which is used in Y.1731.

4. It may be worthwhile to mention the terminology of RFC 6374. I believe: 
    direct measurement (RFC 6374) == passive / hybrid type I
    inferred measurement (RFC 6374) == active measurement

Minor comments:

- "Since measurement usually requires determining the corresponding packets at multiple measurement points, a sequence number is the most common information dedicated to measurement."
  There is a hidden assumption that we are talking about a loss metric, but if we are talking about other metrics (e.g., delay), then this "information" may be a timestamp rather than a sequence number.

- " If you augment of modify a stream of interest" --> If you augment *or* modify a stream of interest

Thanks,
Tal.

>From: ippm [mailto:[email-masked]] On Behalf Of MORTON, ALFRED
>C (AL)
>Sent: Sunday, September 06, 2015 7:29 PM
>To: [email-masked]
>Subject: Re: [ippm] I-D Action: draft-ietf-ippm-active-passive-01.txt
>
>In Prague IETF, I felt the active-passive draft was nearly done, but by
>addressing Tiziano's comment to add "Hybrid" to the title, it prompted Brian
>Trammell to ask for more detail and traceability to the Hybrid definitions we
>have discussed in the past. This was a discussion we had in 2012.
>
>I have included all the possibilities we have discussed in the draft now,
>including Spatial Metrics RFC 5644 that I mentioned at the session.
>
>regards,
>Al
>
>
>ippm mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ippm